package com.iamberry.wechat.core.entity.integral;

import com.iamberry.wechat.core.entity.PageBean;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

public class StayIntegral implements Serializable{
    private static final long serialVersionUID = 8227292419418899771L;

    private Integer stayId;             //记录ID
    private String userOpenId;          //用户openid
    private Integer configId;           //来源
    private String orderId;             //订单id
    private Integer stayNumber;         //积分数量
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date stayRecordedTime;      //积分入账时间
    private Integer stayStatus;         //状态1：待入账2：已入账3：订单取消/退货,撤回4：取消
    private String stayRemark;          //取消的备注
    private Date stayCreateTime;        //创建时间
    private Date stayUpdateTime;        //更新时间

    private String integralRemarks;//待入积分备注
    private Integer changeIntegralMax;//最大变动积分（查询用）
    private Integer changeIntegralMin;//最小变动积分（查询用）
    private String userName;//会员姓名
    private String userNickName;//会员昵称
    private Integer userIntegral; //用户总积分
    private Integer userSurplusIntegral; //用户剩余积分
    private Integer userUseIntegral; //用户已用积分
    private Integer userStayIntegral; //用户待入积分
    public Integer getStayId() {
        return stayId;
    }

    public void setStayId(Integer stayId) {
        this.stayId = stayId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Integer getStayNumber() {
        return stayNumber;
    }

    public void setStayNumber(Integer stayNumber) {
        this.stayNumber = stayNumber;
    }

    public Date getStayRecordedTime() {
        return stayRecordedTime;
    }

    public void setStayRecordedTime(Date stayRecordedTime) {
        this.stayRecordedTime = stayRecordedTime;
    }

    public Integer getStayStatus() {
        return stayStatus;
    }

    public void setStayStatus(Integer stayStatus) {
        this.stayStatus = stayStatus;
    }

    public String getStayRemark() {
        return stayRemark;
    }

    public void setStayRemark(String stayRemark) {
        this.stayRemark = stayRemark;
    }

    public Date getStayCreateTime() {
        return stayCreateTime;
    }

    public void setStayCreateTime(Date stayCreateTime) {
        this.stayCreateTime = stayCreateTime;
    }

    public Date getStayUpdateTime() {
        return stayUpdateTime;
    }

    public void setStayUpdateTime(Date stayUpdateTime) {
        this.stayUpdateTime = stayUpdateTime;
    }

    public Integer getUserIntegral() {
        return userIntegral;
    }

    public void setUserIntegral(Integer userIntegral) {
        this.userIntegral = userIntegral;
    }

    public Integer getUserSurplusIntegral() {
        return userSurplusIntegral;
    }

    public void setUserSurplusIntegral(Integer userSurplusIntegral) {
        this.userSurplusIntegral = userSurplusIntegral;
    }

    public Integer getUserUseIntegral() {
        return userUseIntegral;
    }

    public void setUserUseIntegral(Integer userUseIntegral) {
        this.userUseIntegral = userUseIntegral;
    }

    public Integer getUserStayIntegral() {
        return userStayIntegral;
    }

    public void setUserStayIntegral(Integer userStayIntegral) {
        this.userStayIntegral = userStayIntegral;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserNickName() {
        return userNickName;
    }

    public void setUserNickName(String userNickName) {
        this.userNickName = userNickName;
    }


    public Integer getChangeIntegralMax() {
        return changeIntegralMax;
    }

    public void setChangeIntegralMax(Integer changeIntegralMax) {
        this.changeIntegralMax = changeIntegralMax;
    }

    public Integer getChangeIntegralMin() {
        return changeIntegralMin;
    }

    public void setChangeIntegralMin(Integer changeIntegralMin) {
        this.changeIntegralMin = changeIntegralMin;
    }

    public String getIntegralRemarks() {
        return integralRemarks;
    }

    public void setIntegralRemarks(String integralRemarks) {
        this.integralRemarks = integralRemarks;
    }
}
